Name: 		cervisia
Version: 	1.4.1
Release: 	3mdk
Summary:	A kde graphical frontend to CVS 
Group: 		Development/KDE and QT
License: 	QPL
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://cervisia.sourceforge.net/
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot

Source1:	cervisia-icons16.xpm.bz2
Source2:	cervisia-icons32.xpm.bz2
Source3:	cervisia-icons48.xpm.bz2


BuildRequires:	libqt2-devel kdelibs-devel libmng1-devel gcc-cpp db3 readline
BuildRequires:	pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs
BuildRequires:	Mesa-common XFree86-static-libs automake arts autoconf diffutils
BuildRequires:	file m4 texinfo gettext libjpeg62-devel gcc-c++ libbinutils2
BuildRequires:	libbzip2_1 db1 freetype2 libjpeg62 libpng2 libqt2 rpm-build


%description
Cervisia is a graphical frontend for the CVS (Concurrent Version
System) client.  CVS is the dominant open-source network-transparent
version control system.

Cervisia provides access to the following features: 
 - Updating or retrieving the status of a working directory or single files; 
 - Common operations like add, remove and commit; 
 - Checking out a module from a repository; 
 - Importing into the repository; 
 - Diff against the repository and between different revisions; 
 - Annotated view of a file; 
 - View of the log messages in tree and list form; 
 - Resolving conflicts in a file; 
 - Tagging and branching; 
 - Updating a branch/date; and 
 - Convenience features like a changelog editor and a command to see
   the last change in a file.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}


%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%configure --disable-rpath \
		   --disable-debug \
		   --enable-final

%make

%install 
%makeinstall prefix=$RPM_BUILD_ROOT/%_prefix

mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

install -d %buildroot/%_menudir/
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}):\
    command="%_bindir/cervisia"\
    title="Cervisia"\
    icon="%{name}.xpm"\
    longtitle="A frontend for the CVS client"\
    needs="x11"\
    section="Applications/Development/Tools"
EOF

kdedesktop2mdkmenu.pl cervisia "Applications/Development/Tools" %buildroot/%_datadir/applnk/Development/cervisia.desktop %buildroot/%_menudir/cervisia
 
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc %_docdir/HTML/en/cervisia
%_menudir/%{name}
%_bindir/cervisia
%_mandir/man1/cervisia.1*
%_datadir/applnk/Development/*.desktop
%_iconsdir/hicolor/16x16/apps/cervisia.png 
%_iconsdir/hicolor/32x32/apps/cervisia.png
%_liconsdir/%{name}*
%_iconsdir/%{name}*
%_miconsdir/%{name}*


%changelog
* Tue Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.1-3mdk
- Rebuild with new kdelibs

* Mon Jul 23 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.1-2mdk
- Fix build on ia64 (use %%configure so that config.* know about ia64)
- Fix %%description (was too long)

* Fri May 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.1-1mdk
- New version 1.4.1

* Tue May 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-2mdk
- Apply patch0 fix crash when you close setting dialogbox

* Tue May 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-1mdk
- Update code 1.4

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3-3mdk
- Move KDE menus in %%_datadir/applnk
- Re-enable LMDK menu entry
- Fix BuildRequires for non %%ix86 architectures
- Use and fix optimizations
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-2mdk
- Add build requires

* Tue Mar 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-1mdk
- Update code

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2-3mdk
- Rebuild against Qt 2.3.0

* Fri Feb 23 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-2mdk
- Added mdk menu icons
- Cleaned up specfile

* Wed Feb 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- Update code

* Mon Feb 19 2001 Daouda Lo <daouda@mandrakesoft.com> 1.0-1mdk
- first mdk release (kde2 compliant )
